Tar.gz Erro!

1. Tar.gz Erro!

Diego Simões Santana
croz

(usa Ubuntu)

Enviado em 15/09/2007 - 15:28h

Para instalar um tar.gz no ubuntu fiz isso e deu erro...
o que devo fazer?

erro:

[email protected]:~/Desktop$ tar - vzxf lmule-1.3.1.tar.gz
tar: Deve ser especificada uma das opções "-Acdtrux"
Tente `tar --help' ou `tar --usage' para maiores informações.
[email protected]:~/Desktop$


  


2. Re: Tar.gz Erro!

Perfil removido
removido

(usa Nenhuma)

Enviado em 16/09/2007 - 15:24h

Descompacta assim:

$ tar -zxvf lmule-1.3.1.tar.gz

É tar - "zxvf".


3. Re: Tar.gz Erro!

Sandro
sandrossv

(usa Arch Linux)

Enviado em 16/09/2007 - 15:28h

SE eu nao estiver errado esse tipo de pacote nao eh do ubuntu, pois o ubuntu é "descendente" do debian cujo o pacote é .debdo qual o ubuntu "erdou"!


4. .tar.gz e geral

Gabriel Hidasy Rezende
Gabriel_h

(usa Gentoo)

Enviado em 16/09/2007 - 17:26h

qualquer distro pede instalar tar.gz, e universal, so que mais dificil de instalar (tem que dar tar -zxvf , make, make install)


5. Re: Tar.gz Erro!

Perfil removido
removido

(usa Nenhuma)

Enviado em 16/09/2007 - 21:05h

Vamos lá, você pode ficar um pouco confuso com os posts acima. Um pacote tar.gz nada mais é que o source de um determinado programa compactado. Para descompactar o arquivo tar.gz se usa o comando que descrevi acima. Depois de descompactado será criada uma pasta com o mesmo nome do pacote tar.gz no mesmo diretório onde o ultimo se encontra, se o pacote tar.gz está em seu Desktop então a pasta criada com a descompactação também estará lá.

Como é um source, para instalá-lo é nescessario compilar no seu SO, para isso entre na pasta criada após a descompactação e compile o programa com os segintes comandos:

$ ./configure

$ make

$ sudo make install

Se tudo der certo e não for acusada a falta de nenhuma dependência o programa estará instalado ao final do processo.

Porém o aconselho a usar o aMule. O projeto lmule até onde sei está descontinuado a muito tempo. Para instalar o aMule no Ubuntu use o seguinte comando:

$ sudo apt-get install amule

Se realmente quiser usar o lmule tente insta-lo com o comando:

$ sudo apt-get install lmule

Se não conseguir compile o source que você já tem.

Espero ter ajudado.


6. é treta

Pedro Rafael Da Silva Palmeira
pedrodajedis

(usa Outra)

Enviado em 24/09/2007 - 18:48h

é treta mas somos brasileiros
nunca desistimos...

adoro linux " ubuntu "

viva a liberdade use linux


7. Vamos por partes Jack!!

Vinícius Evandro Gregório
gsi.vinicius

(usa Ubuntu)

Enviado em 24/09/2007 - 19:03h

Básicamente, os pacotes .tar.gz e .tar.bz2 são utilizados para distribuir programas em sem código-fonte. O que não impede que vc crie seus próprios pacotes com arquivos pessoais, por exemplo.

Esses programas necessitam de uma série de cuidados para serem instalados:

a primeira parte é descompactar o pacote

tar -zxvf <nome do pacote.tar.gz>
(atente que manter essa ordem é importante)

tar -jxvf <nome do pacote.tar.bz2>
(mesma recomendação)

Depois, navegue até a pasta onde os arquivos foram descompactados.

cd <nome do pacote sem a extensão>

No próximo passo, existe uma certa variação de coisas a serem feitas. Alguns programas dispõe de um instalador q pode ser executado com o:

./(nome do instalador)

Isso são pequenos arquivos de shell-script que fazem a instalação.

O mais comum no entanto, é que vc precise "pré-compilar" o programa e depois compila-lo e instalá-lo na máquina:

make
make install
(atente para as permissões de instalação nesse passo, é melhor executar como root)

Para saber qual o tipo de instalação é usada pelo programa, leia sempre o arquivo de ajuda.

Como vc disse que usa o ubuntu, pode também instalar programas via apt-get, ou baixando diretamente os arquivos .deb e usar o comando dpkg.

Procure se informar sobre eles aqui no VoL

Abraços e, qualquer dúvida me mande um e-mail

Gregório


8. tar.gz Erro

Egmon
Egmon

(usa Linux Mint)

Enviado em 03/09/2009 - 14:06h

eu consegui chegar ató o make, mas ai aparecem os seguintes erros:

[[email protected] 0 ~/Público/Arquivos de Programas/Lives Move Maker/lives-1.
0.0] $ sudo make
[sudo] password for egmon:
Making all in libOSC
make[1]: Entrando no diretório `/home/egmon/Público/Arquivos de Programas/Lives Move Maker/lives-1.0.0/libOSC'
Making all in .
make[2]: Entrando no diretório `/home/egmon/Público/Arquivos de Programas/Lives Move Maker/lives-1.0.0/libOSC'
make[2]: Nada a ser feito para `all-am'.
make[2]: Saindo do diretório `/home/egmon/Público/Arquivos de Programas/Lives Move Maker/lives-1.0.0/libOSC'
Making all in client
make[2]: Entrando no diretório `/home/egmon/Público/Arquivos de Programas/Lives Move Maker/lives-1.0.0/libOSC/client'
make[2]: Nada a ser feito para `all'.
make[2]: Saindo do diretório `/home/egmon/Público/Arquivos de Programas/Lives Move Maker/lives-1.0.0/libOSC/client'
Making all in sendOSC
make[2]: Entrando no diretório `/home/egmon/Público/Arquivos de Programas/Lives Move Maker/lives-1.0.0/libOSC/sendOSC'
/bin/bash ../../libtool --tag=CC --mode=link gcc -I.. -g -O2 -Wall -L../client -lOSC_client -o sendOSC sendOSC-htmsocket.o sendOSC-sendOSC.o -ljack -ldl
libtool: link: cannot find the library `' or unhandled argument `de'
make[2]: ** [sendOSC] Erro 1
make[2]: Saindo do diretório `/home/egmon/Público/Arquivos de Programas/Lives Move Maker/lives-1.0.0/libOSC/sendOSC'
make[1]: ** [all-recursive] Erro 1
make[1]: Saindo do diretório `/home/egmon/Público/Arquivos de Programas/Lives Move Maker/lives-1.0.0/libOSC'
make: ** [all-recursive] Erro 1


como faço para resolver?


9. Tar.gz Erro!

José Cleydson Ferreira da Silva
cleysinhonv

(usa Ubuntu)

Enviado em 03/09/2009 - 14:15h

Olá, para reforçar um pouquinho as dicas. Algumas vezes já me deparei com a ausência do make e é necessário instalar ele:

#apt-get install make

Sempre tem um arquivo README com a forma de instalar o pacote, geral mente ./configure e make são executados como usuário normal e make install como root.





10. tar.gz Erro

Egmon
Egmon

(usa Linux Mint)

Enviado em 03/09/2009 - 14:28h

Obrigado. Eu mandei ele instalar o make, mas ele me retornou que a versão instalada é a mais nova. :-(
Eu já consegui instalar outros programas usando o ./configure e o make. Esse lives é que não tô conseguindo.

O que vcs sugerem?


11. Tar.gz Erro!

José Cleydson Ferreira da Silva
cleysinhonv

(usa Ubuntu)

Enviado em 03/09/2009 - 18:35h

Fique tranquilo quando ele diz que é uma versão mais nova ele já está instalado, tente os outro comando ou leio o arquivo README que esta junto com os arquivos compactados.


12. Tar.gz Erro!

José Cleydson Ferreira da Silva
cleysinhonv

(usa Ubuntu)

Enviado em 03/09/2009 - 18:37h

outra coisa, se você quiser usar um programa para baixar música ou filmes teste esse o frostware ou o amule eles são muito bons e faceis de instalar:

#apt-get install amule
ou
# apt-get install frostware, esse aqui é otimo.

Um abração preciso ir






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts